#
# QuickFox Setup SQL template [structure section]. 
#


# Table definition for {DBKEY}cms_pgs 
DROP TABLE IF EXISTS `{DBKEY}cms_pgs` ;
CREATE TABLE `{DBKEY}cms_pgs` ( 
    `id` varchar(16) COLLATE ascii_general_ci NOT NULL, 
    `caption` varchar(255) NOT NULL, 
    `file_id` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `file_type` varchar(5) COLLATE ascii_general_ci NOT NULL, 
    `links_to` mediumtext COLLATE ascii_general_ci NOT NULL, 
    `author_id` int(10) unsigned NOT NULL DEFAULT '0', 
    `mod_date` int(11) NOT NULL DEFAULT '0', 
    `r_level` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    PRIMARY KEY (`id`) , 
    INDEX `author_id` (`author_id`) , 
    INDEX `mod_date` (`mod_date`) , 
    INDEX `r_level` (`r_level`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}cms_stats 
DROP TABLE IF EXISTS `{DBKEY}cms_stats` ;
CREATE TABLE `{DBKEY}cms_stats` ( 
    `id` varchar(16) COLLATE ascii_general_ci NOT NULL, 
    `views` int(10) unsigned NOT NULL DEFAULT '0', 
    `v_by_refer` int(10) unsigned NOT NULL DEFAULT '0', 
    `last_view` int(11) NOT NULL DEFAULT '0', 
    PRIMARY KEY (`id`) , 
    INDEX `views` (`views`, `v_by_refer`) , 
    INDEX `last_view` (`last_view`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}config 
DROP TABLE IF EXISTS `{DBKEY}config` ;
CREATE TABLE `{DBKEY}config` ( 
    `parent` varchar(10) COLLATE ascii_general_ci NOT NULL, 
    `name` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `value` blob NOT NULL, 
    `scalar` tinyint(1) unsigned NOT NULL DEFAULT '1', 
    PRIMARY KEY (`parent`, `name`) , 
    INDEX `scalar` (`scalar`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}config_sets 
DROP TABLE IF EXISTS `{DBKEY}config_sets` ;
CREATE TABLE `{DBKEY}config_sets` ( 
    `set_id` varchar(64) COLLATE ascii_general_ci NOT NULL, 
    `sec_set_id` varchar(64) COLLATE ascii_general_ci NOT NULL, 
    `package` varchar(64) COLLATE ascii_general_ci NOT NULL DEFAULT 'qf2', 
    `capt` varchar(64) NOT NULL, 
    `cfg_parent` varchar(10) COLLATE ascii_general_ci NOT NULL, 
    `cfg_name` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `cfg_type` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `src_data` blob NOT NULL, 
    `order_id` smallint(5) NOT NULL DEFAULT '0', 
    PRIMARY KEY (`cfg_name`, `cfg_parent`) , 
    INDEX `cfg_type` (`cfg_type`) , 
    INDEX `order_id` (`order_id`) , 
    INDEX `set_id` (`set_id`, `sec_set_id`, `package`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}datasets 
DROP TABLE IF EXISTS `{DBKEY}datasets` ;
CREATE TABLE `{DBKEY}datasets` ( 
    `set_id` varchar(64) COLLATE ascii_general_ci NOT NULL, 
    `package` varchar(64) COLLATE ascii_general_ci NOT NULL DEFAULT 'qf2', 
    `data_id` varchar(64) COLLATE ascii_general_ci NOT NULL, 
    `data` blob NOT NULL, 
    `scalar` tinyint(1) unsigned NOT NULL DEFAULT '1', 
    PRIMARY KEY (`set_id`, `data_id`) , 
    INDEX `scalar` (`scalar`) , 
    INDEX `package` (`package`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}file_dloads 
DROP TABLE IF EXISTS `{DBKEY}file_dloads` ;
CREATE TABLE `{DBKEY}file_dloads` ( 
    `dl_id` char(32) COLLATE ascii_general_ci NOT NULL, 
    `sid` char(32) COLLATE ascii_general_ci NOT NULL, 
    `file_id` char(8) COLLATE ascii_general_ci NOT NULL, 
    `client_ip` int(10) unsigned NOT NULL DEFAULT '0', 
    `active_till` int(11) NOT NULL DEFAULT '0', 
    PRIMARY KEY (`dl_id`) , 
    UNIQUE `sid_uniq` (`sid`, `file_id`) , 
    INDEX `file_id` (`file_id`) , 
    INDEX `active_till` (`active_till`) , 
    INDEX `client_ip` (`client_ip`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}file_folders 
DROP TABLE IF EXISTS `{DBKEY}file_folders` ;
CREATE TABLE `{DBKEY}file_folders` ( 
    `id` smallint(5) unsigned NOT NULL auto_increment, 
    `parent` smallint(5) unsigned NOT NULL DEFAULT '0', 
    `name` char(128) NOT NULL, 
    `type` char(8) COLLATE ascii_general_ci NOT NULL, 
    `r_level` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `w_level` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `acc_gr` int(5) unsigned NOT NULL DEFAULT '0', 
    `mtime` int(11) NOT NULL DEFAULT '0', 
    `files` int(10) unsigned NOT NULL DEFAULT '0', 
    `size` int(10) unsigned NOT NULL DEFAULT '0', 
    `is_sys` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    PRIMARY KEY (`id`) , 
    INDEX `parent` (`parent`) , 
    INDEX `type` (`type`) , 
    INDEX `acc_gr` (`acc_gr`) , 
    INDEX `mtime` (`mtime`) , 
    INDEX `files` (`files`) , 
    INDEX `size` (`size`) , 
    INDEX `levels` (`r_level`, `w_level`) , 
    INDEX `is_sys` (`is_sys`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}files 
DROP TABLE IF EXISTS `{DBKEY}files` ;
CREATE TABLE `{DBKEY}files` ( 
    `id` char(8) COLLATE ascii_general_ci NOT NULL, 
    `folder` smallint(5) unsigned NOT NULL DEFAULT '0', 
    `is_temp` tinyint(1) unsigned NOT NULL DEFAULT '1', 
    `author` char(16) NOT NULL, 
    `author_id` int(10) unsigned NOT NULL DEFAULT '0', 
    `author_ip` int(10) unsigned NOT NULL DEFAULT '0', 
    `time` int(11) NOT NULL DEFAULT '0', 
    `r_level` tinyint(3) unsigned NOT NULL DEFAULT '0', 
    `caption` char(255) NOT NULL, 
    `filename` char(255) NOT NULL, 
    `file_id` char(32) COLLATE ascii_general_ci NOT NULL, 
    `file_md5` char(32) COLLATE ascii_general_ci NOT NULL, 
    `file_gzip` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `file_size` int(10) unsigned NOT NULL DEFAULT '0', 
    `mime` char(64) COLLATE ascii_general_ci NOT NULL, 
    `is_arch` char(5) COLLATE ascii_general_ci NOT NULL, 
    `has_pics` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `pics_mime` char(64) COLLATE ascii_general_ci NOT NULL, 
    `aspect_ratio` float NOT NULL DEFAULT '0', 
    `dloads` mediumint(8) unsigned NOT NULL DEFAULT '0', 
    PRIMARY KEY (`id`) , 
    UNIQUE `file_id` (`file_id`) , 
    INDEX `author_id` (`author_id`) , 
    INDEX `author_ip` (`author_ip`) , 
    INDEX `time` (`time`) , 
    INDEX `folder` (`folder`) , 
    INDEX `r_level` (`r_level`) , 
    INDEX `dloads` (`dloads`) , 
    INDEX `has_pics` (`has_pics`) , 
    INDEX `is_temp` (`is_temp`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}forums 
DROP TABLE IF EXISTS `{DBKEY}forums` ;
CREATE TABLE `{DBKEY}forums` ( 
    `id` int(10) unsigned NOT NULL auto_increment, 
    `parent` int(10) unsigned NOT NULL DEFAULT '0', 
    `caption` varchar(255) NOT NULL, 
    `descr` varchar(255) NOT NULL, 
    `order_id` tinyint(5) NOT NULL DEFAULT '0', 
    `acc_grps` blob NOT NULL, 
    `r_level` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `w_level` tinyint(1) unsigned NOT NULL DEFAULT '1', 
    `locked` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `deleted` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `marked` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    PRIMARY KEY (`id`) , 
    INDEX `parent` (`parent`) , 
    INDEX `order_id` (`order_id`) , 
    INDEX `levels` (`r_level`, `w_level`) , 
    INDEX `flags` (`locked`, `deleted`, `marked`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}fox_logs 
DROP TABLE IF EXISTS `{DBKEY}fox_logs` ;
CREATE TABLE `{DBKEY}fox_logs` ( 
    `ev_id` int(10) unsigned NOT NULL auto_increment, 
    `log_id` varchar(32) COLLATE ascii_general_ci NOT NULL DEFAULT 'common', 
    `time` int(11) NOT NULL DEFAULT '0', 
    `event` mediumtext NOT NULL, 
    `cl_ip` int(11) NOT NULL DEFAULT '0', 
    `cl_req` varchar(255) COLLATE ascii_general_ci NOT NULL, 
    `cl_uagent` varchar(255) NOT NULL, 
    PRIMARY KEY (`ev_id`) , 
    INDEX `log_id` (`log_id`) , 
    INDEX `time` (`time`) , 
    INDEX `cl_ip` (`cl_ip`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}guests 
DROP TABLE IF EXISTS `{DBKEY}guests` ;
CREATE TABLE `{DBKEY}guests` ( 
    `gid` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `nick` varchar(15) NOT NULL, 
    `lastseen` int(11) NOT NULL DEFAULT '0', 
    `last_url` varchar(255) COLLATE ascii_general_ci NOT NULL, 
    `last_uagent` varchar(255) NOT NULL, 
    `last_ip` int(10) unsigned NOT NULL DEFAULT '0', 
    `long_reg` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `reg_till` int(11) NOT NULL DEFAULT '0', 
    `views` int(10) unsigned NOT NULL DEFAULT '0', 
    `g_sets` mediumblob NOT NULL, 
    PRIMARY KEY (`gid`) , 
    INDEX `lastseen` (`lastseen`) , 
    INDEX `gcode` (`long_reg`) , 
    INDEX `last_ip` (`last_ip`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}mails 
DROP TABLE IF EXISTS `{DBKEY}mails` ;
CREATE TABLE `{DBKEY}mails` ( 
    `id` int(10) unsigned NOT NULL auto_increment, 
    `m_capt` varchar(255) NOT NULL, 
    `m_text` text NOT NULL, 
    `m_recips` mediumtext NOT NULL, 
    `m_class` varchar(8) COLLATE ascii_general_ci NOT NULL, 
    `m_key` int(11) NOT NULL DEFAULT '0', 
    `send_before` int(11) NOT NULL DEFAULT '0', 
    `force_byone` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `force_offline` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    PRIMARY KEY (`id`) , 
    INDEX `class` (`m_class`, `m_key`) , 
    INDEX `send_before` (`send_before`, `force_byone`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}pt_peruser 
DROP TABLE IF EXISTS `{DBKEY}pt_peruser` ;
CREATE TABLE `{DBKEY}pt_peruser` ( 
    `root_id` int(10) unsigned NOT NULL DEFAULT '0', 
    `user_id` int(10) unsigned NOT NULL DEFAULT '0', 
    `c_key` char(128) COLLATE ascii_general_ci NOT NULL, 
    `d_key_1` char(128) COLLATE ascii_general_ci NOT NULL, 
    `d_key_2` char(128) COLLATE ascii_general_ci NOT NULL, 
    `d_key_3` char(128) COLLATE ascii_general_ci NOT NULL, 
    PRIMARY KEY (`root_id`, `user_id`) , 
    INDEX `c_key` (`c_key`) , 
    INDEX `d_key` (`d_key_1`, `d_key_2`, `d_key_3`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}pt_posts 
DROP TABLE IF EXISTS `{DBKEY}pt_posts` ;
CREATE TABLE `{DBKEY}pt_posts` ( 
    `post_id` bigint(20) unsigned NOT NULL auto_increment, 
    `root_id` int(10) unsigned NOT NULL DEFAULT '0', 
    `parent` bigint(20) unsigned NOT NULL DEFAULT '0', 
    `tree_idx` binary(255) NOT NULL, 
    `author_ip` int(10) unsigned NOT NULL DEFAULT '0', 
    `author` char(16) NOT NULL, 
    `author_id` int(10) unsigned NOT NULL DEFAULT '0', 
    `time` int(11) NOT NULL DEFAULT '0', 
    `ch_user` char(16) NOT NULL, 
    `ch_user_id` int(10) unsigned NOT NULL DEFAULT '0', 
    `ch_time` int(11) NOT NULL DEFAULT '0', 
    `locked` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `deleted` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `marked` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    PRIMARY KEY (`post_id`) , 
    INDEX `parents` (`root_id`, `parent`) , 
    INDEX `post_ip` (`author_ip`) , 
    INDEX `author_id` (`author_id`) , 
    INDEX `time` (`time`) , 
    INDEX `ch_user_id` (`ch_user_id`) , 
    INDEX `ch_time` (`ch_time`) , 
    INDEX `flags` (`locked`, `deleted`, `marked`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}pt_ptext 
DROP TABLE IF EXISTS `{DBKEY}pt_ptext` ;
CREATE TABLE `{DBKEY}pt_ptext` ( 
    `post_id` bigint(20) unsigned NOT NULL DEFAULT '0', 
    `o_text` text NOT NULL, 
    `hash` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `p_text` text NOT NULL, 
    `preparsed` tinyint(1) unsigned NOT NULL DEFAULT '0' 
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}pt_roots 
DROP TABLE IF EXISTS `{DBKEY}pt_roots` ;
CREATE TABLE `{DBKEY}pt_roots` ( 
    `root_id` int(10) unsigned NOT NULL auto_increment, 
    `class` varchar(8) COLLATE ascii_general_ci NOT NULL, 
    `a_key` varchar(128) COLLATE ascii_general_ci NOT NULL, 
    `b_key1` varchar(128) COLLATE ascii_general_ci NOT NULL, 
    `b_key2` varchar(128) COLLATE ascii_general_ci NOT NULL, 
    `b_key3` varchar(128) COLLATE ascii_general_ci NOT NULL, 
    `author` varchar(16) NOT NULL, 
    `author_id` int(10) unsigned NOT NULL DEFAULT '0', 
    `caption` varchar(255) NOT NULL, 
    `data` blob NOT NULL, 
    `hash` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `time` int(11) NOT NULL DEFAULT '0', 
    `l_author` varchar(16) NOT NULL, 
    `l_author_id` int(10) unsigned NOT NULL DEFAULT '0', 
    `l_time` int(11) NOT NULL DEFAULT '0', 
    `l_post_id` bigint(20) unsigned NOT NULL DEFAULT '0', 
    `posts` int(10) unsigned NOT NULL DEFAULT '0', 
    `r_level` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `w_level` tinyint(1) unsigned NOT NULL DEFAULT '1', 
    `locked` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `deleted` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `marked` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    PRIMARY KEY (`root_id`) , 
    UNIQUE `ident` (`class`, `hash`) , 
    INDEX `a_key` (`a_key`) , 
    INDEX `b_key` (`b_key1`, `b_key2`, `b_key3`) , 
    INDEX `author_id` (`author_id`) , 
    INDEX `time` (`time`) , 
    INDEX `l_author_id` (`l_author_id`) , 
    INDEX `l_time` (`l_time`) , 
    INDEX `posts` (`posts`) , 
    INDEX `levels` (`r_level`, `w_level`) , 
    INDEX `flags` (`locked`, `deleted`, `marked`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}results 
DROP TABLE IF EXISTS `{DBKEY}results` ;
CREATE TABLE `{DBKEY}results` ( 
    `res_id` varchar(8) COLLATE ascii_general_ci NOT NULL, 
    `code` varchar(16) COLLATE ascii_general_ci NOT NULL, 
    `text` text NOT NULL, 
    `is_err` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `time` int(11) NOT NULL DEFAULT '0', 
    `got_at` varchar(255) NOT NULL, 
    `redir_to` varchar(255) NOT NULL, 
    `u_sid` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `u_id` int(10) unsigned NOT NULL DEFAULT '0', 
    PRIMARY KEY (`res_id`) , 
    INDEX `code` (`code`, `is_err`) , 
    INDEX `user` (`u_sid`, `u_id`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}services 
DROP TABLE IF EXISTS `{DBKEY}services` ;
CREATE TABLE `{DBKEY}services` ( 
    `name` varchar(64) COLLATE ascii_general_ci NOT NULL, 
    `descr` text NOT NULL, 
    `run_period` mediumint(8) unsigned NOT NULL DEFAULT '3600', 
    `run_php` varchar(255) COLLATE ascii_general_ci NOT NULL, 
    `next_run` int(11) NOT NULL DEFAULT '0', 
    `active` tinyint(1) unsigned NOT NULL DEFAULT '1', 
    PRIMARY KEY (`name`) , 
    INDEX `run_period` (`run_period`) , 
    INDEX `next_run` (`next_run`, `active`) , 
    INDEX `run_php` (`run_php`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}sess_cache 
DROP TABLE IF EXISTS `{DBKEY}sess_cache` ;
CREATE TABLE `{DBKEY}sess_cache` ( 
    `sid` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `ch_name` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `ch_data` mediumblob NOT NULL, 
    `ch_stored` int(11) NOT NULL DEFAULT '0', 
    PRIMARY KEY (`sid`, `ch_name`) , 
    INDEX `ch_stored` (`ch_stored`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}sessions 
DROP TABLE IF EXISTS `{DBKEY}sessions` ;
CREATE TABLE `{DBKEY}sessions` ( 
    `sid` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `ip` int(10) unsigned NOT NULL DEFAULT '0', 
    `vars` blob NOT NULL, 
    `starttime` int(11) NOT NULL DEFAULT '0', 
    `lastused` int(11) NOT NULL DEFAULT '0', 
    `clicks` int(5) unsigned NOT NULL DEFAULT '0', 
    `spamcode` varchar(10) COLLATE ascii_general_ci NOT NULL, 
    `spctime` int(11) NOT NULL DEFAULT '0', 
    PRIMARY KEY (`sid`) , 
    INDEX `ip` (`ip`) , 
    INDEX `lastused` (`lastused`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}spiders_stats 
DROP TABLE IF EXISTS `{DBKEY}spiders_stats` ;
CREATE TABLE `{DBKEY}spiders_stats` ( 
    `sp_name` char(64) COLLATE ascii_general_ci NOT NULL, 
    `visits` int(10) unsigned NOT NULL DEFAULT '0', 
    `last_time` int(11) NOT NULL DEFAULT '0', 
    `last_ip` int(11) NOT NULL DEFAULT '0', 
    `last_uagent` char(255) NOT NULL, 
    PRIMARY KEY (`sp_name`) , 
    INDEX `last_time` (`last_time`) , 
    INDEX `last_ip` (`last_ip`) , 
    INDEX `visits` (`visits`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}users 
DROP TABLE IF EXISTS `{DBKEY}users` ;
CREATE TABLE `{DBKEY}users` ( 
    `uid` int(10) unsigned NOT NULL auto_increment, 
    `nick` varchar(16) NOT NULL, 
    `level` tinyint(1) unsigned NOT NULL DEFAULT '1', 
    `mod_lvl` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `adm_lvl` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `frozen` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `readonly` tinyint(1) unsigned NOT NULL DEFAULT '0', 
    `acc_group` int(5) unsigned NOT NULL DEFAULT '0', 
    `action` char(3) COLLATE ascii_general_ci NOT NULL, 
    `act_data` varchar(255) COLLATE ascii_general_ci NOT NULL, 
    `act_code` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `avatar` varchar(64) COLLATE ascii_general_ci NOT NULL, 
    `av_sig` varchar(64) NOT NULL, 
    `signature` varchar(255) NOT NULL, 
    `regtime` int(11) NOT NULL DEFAULT '0', 
    `lastseen` int(11) NOT NULL DEFAULT '0', 
    `last_url` varchar(255) COLLATE ascii_general_ci NOT NULL, 
    `last_uagent` varchar(255) NOT NULL, 
    `last_ip` int(10) unsigned NOT NULL DEFAULT '0', 
    `sess_id` varchar(32) COLLATE ascii_general_ci NOT NULL, 
    `us_info` mediumblob NOT NULL, 
    `us_sets` mediumblob NOT NULL, 
    `us_flags` blob NOT NULL, 
    PRIMARY KEY (`uid`) , 
    UNIQUE `nick` (`nick`) , 
    INDEX `level` (`level`, `mod_lvl`, `adm_lvl`) , 
    INDEX `lastseen` (`lastseen`) , 
    INDEX `sess_id` (`sess_id`) , 
    INDEX `acc_state` (`frozen`, `readonly`) , 
    INDEX `last_ip` (`last_ip`) , 
    INDEX `acc_group` (`acc_group`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}users_al 
DROP TABLE IF EXISTS `{DBKEY}users_al` ;
CREATE TABLE `{DBKEY}users_al` ( 
    `al_id` char(32) COLLATE ascii_general_ci NOT NULL, 
    `uid` int(10) unsigned NOT NULL DEFAULT '0', 
    `al_started` int(11) NOT NULL DEFAULT '0', 
    `al_lastuse` int(11) NOT NULL DEFAULT '0', 
    PRIMARY KEY (`al_id`) , 
    INDEX `uid` (`uid`) , 
    INDEX `times` (`al_started`, `al_lastuse`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

# Table definition for {DBKEY}users_auth 
DROP TABLE IF EXISTS `{DBKEY}users_auth` ;
CREATE TABLE `{DBKEY}users_auth` ( 
    `uid` int(10) unsigned NOT NULL DEFAULT '0', 
    `login` char(16) COLLATE ascii_general_ci NOT NULL, 
    `pass_hash` char(32) COLLATE ascii_general_ci NOT NULL, 
    `pass_salt` char(32) COLLATE ascii_general_ci NOT NULL, 
    `sys_email` char(32) COLLATE ascii_general_ci NOT NULL, 
    `pass_dropcode` char(32) COLLATE ascii_general_ci NOT NULL, 
    `lastauth` int(11) NOT NULL DEFAULT '0', 
    PRIMARY KEY (`uid`) , 
    UNIQUE `login` (`login`) , 
    INDEX `pass_dropcode` (`pass_dropcode`)  
) ENGINE = MyISAM COLLATE utf8_general_ci; 

